Subject: Re: [PATCH] netfilter/nflog: nflog-range does not truncate packets

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 7 Jun 2016 00:31:06 +0200

On Wed, Jun 01, 2016 at 08:23:54PM -0400, Vishwanath Pai wrote:
> netfilter/nflog: nflog-range does not truncate packets
> 
> The --nflog-range parameter from userspace is ignored in the kernel and
> the entire packet is sent to the userspace. The per-instance parameter
> copy_range still works, with this change --nflog-range will have
> preference over copy_range.

I think it's reasonable to assume that --nflog-range from the rule
applies globally to any instance.

However, per-instance copy_range has prevailed over --nflog-range
since the beginning, so I would follow a more conservative approach,
ie. remain copy_range in preference over --nflog-range.

So I'd suggest you invert this logic.

Let me know, thanks.